For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETGet termination
      • POSTInitiate EOR contract termination request
      • POSTRequest EOR Contract Resignation
      • POSTTermination Request
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Terminations

Request EOR Contract Resignation

POST
/eor/:oid/terminations/resignation
POST
/rest/v2/eor/:oid/terminations/resignation
$curl -X POST https://api.letsdeel.com/rest/v2/eor/5B74FnLM/terminations/resignation \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "data": {
> "reason": "EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY",
> "used_time_off": {
> "time_offs": [
> {
> "unit": "CALENDAR_DAY",
> "policy_type": "Vacation",
> "tracking_periods": [
> {
> "used": 25,
> "end_date": "2024-12-31T00:00:00.000Z",
> "start_date": "2024-01-01T00:00:00.000Z"
> },
> {
> "used": 30,
> "end_date": "2023-12-31T00:00:00.000Z",
> "start_date": "2023-01-01T00:00:00.000Z"
> }
> ],
> "scheduled_until_end_date": 5
> }
> ],
> "additional_details": "Any additional details regarding time off that HRX should know",
> "is_deel_pto_confirmed": true
> },
> "is_employee_staying_with_deel": false
> }
> }
>}'
1{
2 "data": {
3 "id": 1.1,
4 "end_date": "'2025-01-31T00:00:00.000Z'",
5 "contract_id": "5B74FnLM",
6 "request_data": {
7 "reason": "string",
8 "end_date": "'2025-01-31T00:00:00.000Z'",
9 "reason_detail": "Employee is moving to another country",
10 "desired_end_date": "2025-01-31",
11 "termination_impact": {
12 "id": "string",
13 "title": "Bad Impact",
14 "description": "It will be bad"
15 },
16 "eligible_for_rehire": "DONT_KNOW",
17 "eligible_for_rehire_reason": "false",
18 "custom_termination_reason_id": 1.1
19 },
20 "desired_end_date": "2025-01-31"
21 }
22}

Submits a resignation request for an EOR contract on behalf of a team member. Callers must hold group admin or people manager permissions. Token scopes: contracts:read, contracts:write

Was this page helpful?
Previous

Termination Request

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

oidstringRequired
Public contract oid

Request

This endpoint expects an object.
dataobjectRequired

Response

Ok response
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication